import React from 'react';
import ReactDOM from 'react-dom';

class AdvRequest extends React.Component {

	titles = {
		457: ['Обратная связь', "header header_big"],
		455: ['Заявка на размещение рекламы', "header header_big"],
		458: ['Заявка на сотрудничество', "header header_medium"]
	};

	handleSubmit = (event) => {
		event.preventDefault();

		let p = new PopUpWindow('adv_request', (this.titles[this.props.id]||[''])[0],
			$('<div><p>Спасибо за заявку, мы рассмотрим ее в ближайшее время и свяжемся с Вами.</p>' +
			'<p><span class="btn btn_primary btn_big" onclick="">Закрыть</span></p></div>'),
			null, [400, 100]
		);

		p.content.on('click', '.btn', function () {
			p.close();
			p = null;
		});

		$.post('/xhr/rek/func/reg', {
			name:  this.refs.name.value,
			phone: this.refs.phone.value,
			email: this.refs.email.value
		});

		this.refs.name.value = this.refs.phone.value = this.refs.email.value = '';
	};

  render() {
    return (
	    <div>
	    	<div className={(this.titles[this.props.id]||[''])[1]}>{(this.titles[this.props.id]||[''])[0]}</div>

	      <form onSubmit={this.handleSubmit}>
	        <table width="500" cellPadding="5" cellSpacing="0" style={{margin: '0 -5px -5px'}}>
	          <tbody>
	            <tr>
	            	<td width="150">Контактное лицо:</td>
	              <td><input type="text" ref="name" className="input-field" /></td>
	            </tr>
	            <tr>
	            	<td>Телефон для связи:</td>
	              <td><input type="text" ref="phone" className="input-field" /></td>
	            </tr>
	            <tr>
	            	<td>Email:</td>
	              <td><input type="text" ref="email" className="input-field" /></td>
	            </tr>
	            <tr>
	            	<td>&nbsp;</td>
	            	<td style={{paddingTop: 10}}>
	            		<input type="submit" className="btn btn_primary btn_large" defaultValue="Отправить заявку" />
	            	</td>
	            </tr>
	          </tbody>
	        </table>
	      </form>
	    </div>
    );
  }
}

ReactDOM.render(<AdvRequest id={$('#formZayavka').data('id')} />, document.getElementById('formZayavka'));